Subject: url-gw should support HTTP CONNECT proxies

From: Magnus Henoch <[email-masked]>
Date: Thu, 21 Feb 2008 15:55:02 +0100

Package: url
Severity: wishlist

url-open-stream can choose among a few proxies (socks5, telnet,
rlogin).  It would be nice if it would also support HTTP proxies using
the CONNECT method.

url-http contains a mention of the CONNECT header, but as far as I can
see it never did anything useful.  Using url-http carries lots of
implications that are only valid when using HTTP for data transport.
Therefore I think that implementing a proxy client in url-gw is the
correct way to do it.

I intend to work on this.

Magnus